Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle ADF Business Components interMedia Domains Java API Reference 10g Release 3 (10.1.3) B16008-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ord.html
Class OrdPlayMedia

`java.lang.Object
oracle.jdeveloper.html.WebBeanImpl
oracle.ord.html.OrdPlayMedia`

All Implemented Interfaces:
  oracle.jdeveloper.html.WebBean

public class OrdPlayMedia
extends oracle.jdeveloper.html.WebBeanImpl

Interprets the URLs constructed by `OrdURLBuilder`, retrieves multimedia content from the database, and sends the data to the browser.

`OrdPlayMedia` only supports JSP applications. Internally, it uses `oracle.ord.im.OrdHttpJspResponseHandler` to deliver binary multimedia content to the browser. There are some important notes on using JSP to deliver binary data in ``OrdHttpJspResponseHandler``.

A JSP page named `ordPlayMedia.jsp` is the front end of this class. When the JSP application intends to use `OrdPlayMedia` to retrieve multimedia content and deliver it to the browser, `ordPlayMedia.jsp` should be included into the user's JSP application. After delivering the content, the resources will be released. The default release mode is Reserved. Users can set the release mode by invoking `setReleaseMode()` method on `OrdPlayMedia` object. A sample usage is provided below:

     <jsp:useBean id="playMedia" class="oracle.ord.html.OrdPlayMedia" scope="request">
       <jsp:setProperty name="playMedia" property="*" />
       <%
         playMedia.initialize(pageContext);
         playMedia.setReleaseMode("Stateless");
         playMedia.renderContent();
         if(true) return;
       %>
     </jsp:useBean>

The `ordPlayMedia.jsp` file can be extracted from the `webapp.zip` file located in the JDeveloper `/redist/` folder.
Note: This class should only be used in a JSP page, such as ordPlayMedia.jsp, because it requires PageContext to work around the JSP output binary stream issue. A better class is `OrdPlayMediaServlet` that can be used in both JSP or Servlet environment.

Since:
  JDev3.2
See Also:
  `OrdURLBuilder`, `OrdHttpJspResponseHandler`

Field Summary

Fields inherited from interface oracle.jdeveloper.html.WebBean
`contentFrameName, defaultCaboBase, defaultCaboImageBase, defaultImageBase, defaultJSPBase, defaultNLSFormat, JS_LIBRARIES, JS_NAMEID, JSButtonConstructorLib, JSCalendarConstructorLib, JSContainerConstructorLib, JSDataConstructLib, JSModalPageConstructorLib, JSTableConstructLib, JSToolbarConstructorLib, JSTreeConstructLib, JSUtilitiesLib`

Constructor Summary
`OrdPlayMedia()` Constructs an `OrdPlayMedia` instance.

Method Summary
`void` | `ordRender()` Deprecated. As of JDeveloper5.0, replaced by `renderContent()`
`void` | `renderContent()` Retrieves the multimedia content from the database using the appropriate interMedia domain object and then sends it to the browser window.
`void` | `setAcquireLock(boolean acquireLock)` Sets the acquireLock attribute.
`void` | `setAmConfig(java.lang.String amConfig)` Sets the appModule configuration name.
`void` | `setAppModID(java.lang.String appModId)` Sets the Business Components for Java application module id.
`void` | `setContentCol(java.lang.String attrName)` Sets the attribute name for the interMedia column.
`void` | `setReleaseMode(java.lang.String releaseMode)` Sets the release mode of application module.
`void` | `setRowKey(java.lang.String rowKey)` Sets the `String` representation of the row that contains the multimedia content.
`void` | `setRowSetName(java.lang.String rowSetName)` Deprecated. Use `setViewObjectName()` instead.
`void` | `setViewObjectName(java.lang.String viewObjectName)` Sets the ViewObject name.

Methods inherited from class oracle.jdeveloper.html.WebBeanImpl
`getCookie, getOut, getRequest, getRequestVariable, getRequestVariable, getUniqueName, initBeanForJS, initBeanForJS, initBeanForJS, initialize, initialize, initialize, internalInitialize, render, render, setRequestVariable, setRequestVariable`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OrdPlayMedia

    public OrdPlayMedia()

  Constructs an `OrdPlayMedia` instance.

Method Detail

### setContentCol

    public void setContentCol(java.lang.String attrName)

  Sets the attribute name for the interMedia column.
  Parameters:
    `attrName` - the attribute name for the interMedia column

### setRowSetName

    public void setRowSetName(java.lang.String rowSetName)

  Deprecated. Use `setViewObjectName()` instead.
  Sets the rowset name.
  Parameters:
    `rowSetName` - the rowset name

### setViewObjectName

    public void setViewObjectName(java.lang.String viewObjectName)

  Sets the ViewObject name.
  Parameters:
    `viewObjectName` - the ViewObject name

### setAppModID

    public void setAppModID(java.lang.String appModId)

  Sets the Business Components for Java application module id.
  Parameters:
    `appModId` - the application module id

### setRowKey

    public void setRowKey(java.lang.String rowKey)

  Sets the `String` representation of the row that contains the multimedia content. The RowKey object may include a primary key when one exists, but it also includes information from the view object to uniquely identify the row.
  Parameters:
    `rowKey` - the String object that uniquely identifies a row
  See Also:
    `Key.toStringFormat(boolean)`

### setReleaseMode

    public void setReleaseMode(java.lang.String releaseMode)

  Sets the release mode of application module. If user does not call this method, the default release mode is Stateful.
  Parameters:
    `releaseMode` - the release mode of application module, including Stateful, Stateless and Reserved.

### setAmConfig

    public void setAmConfig(java.lang.String amConfig)

  Sets the appModule configuration name. The configuration name is used to support non-contextual URL that works out side of the web application context.
  Parameters:
    `amConfig` - the appModule configuration name

### setAcquireLock

    public void setAcquireLock(boolean acquireLock)

  Sets the acquireLock attribute.
  Parameters:
    `acquireLock` - whether acquire lock when checking out AppMod

### ordRender

    public void ordRender()
                   throws java.lang.Exception

  Deprecated. As of JDeveloper5.0, replaced by `renderContent()`
  Retrieves the multimedia content from the database using the appropriate interMedia domain object and then sends it to the browser window.
  Throws:
    `java.lang.Exception`

### renderContent

    public void renderContent()
                       throws java.lang.Exception

  Retrieves the multimedia content from the database using the appropriate interMedia domain object and then sends it to the browser window.
  Throws:
    `java.lang.Exception`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle ADF Business Components interMedia Domains Java API Reference 10g Release 3 (10.1.3) B16008-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001,2005, Oracle. All Rights Reserved.